X2Go Bug report logs - #751
clean up X2Go BTS from SPAM

Package: bugs.x2go.org; Maintainer for bugs.x2go.org is x2go-dev@lists.x2go.org;

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Tue, 20 Jan 2015 09:05:01 UTC

Severity: important

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, git-admin@x2go.org:
Bug#751; Package bugs.x2go.org. (Tue, 20 Jan 2015 09:05:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to git-admin@x2go.org. (Tue, 20 Jan 2015 09:05:01 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: submit@bugs.x2go.org
Subject: clean up X2Go BTS from SPAM
Date: Tue, 20 Jan 2015 09:03:34 +0000
[Message part 1 (text/plain, inline)]
Package: bugs.x2go.org
Severity: important

Hi all,

I continuously receive Abuse messages from my server provider about  
X2Go BTS and phishing URLs being on that system.

I have pinged Blars Blarson from the Debian project who maintains the  
SPAM-cleanup part of the Debian bug tracker. I know that he has a set  
of script to ease the SPAM-cleanup. I actually should have them  
somewhere in my mails / on my system but fail to find them.

Once I have received those script, I will provide them to the future  
BTS maintainer and help with setting them up / integrating them into  
the debbugs software package.

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, x2go-project@lists.x2go.org:
Bug#751; Package bugs.x2go.org. (Sat, 20 Feb 2016 08:55:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to x2go-project@lists.x2go.org. (Sat, 20 Feb 2016 08:55:02 GMT) Full text and rfc822 format available.

Message #10 received at 751@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 751@bugs.x2go.org
Cc: x2go-project@lists.x2go.org
Subject: new DebBugs scripts: mbox / cleanbug
Date: Sat, 20 Feb 2016 08:51:49 +0000
[Message part 1 (text/plain, inline)]
Hi all,

last night, I created to new scripts for the debbugs software  
underneath bugs.x2go.org.

Both scripts are attached and can be found under /usr/lib/debbugs on  
host ymir.das-netzwerkteam.de.

Especially the cleanbug script should be of interested here.

I recently received various abuse notifications from my provider and  
they all relate to X2GO bugs containing mails with virus attachments.  
These need to be cleaned.

I already did so for the reported URLs:

http://bugs.x2go.org/128
http://bugs.x2go.org/232
http://bugs.x2go.org/496
http://bugs.x2go.org/765

But there are more...

Please coordinate in the X2Go core team, who will work on cleaning up  
the X2Go bugtracker. Currently, these people have access:


  Heinz
  Mihai
  Mike


You have to log into ymir.das-netzwerkteam.de (aka bugs.x2go.org) as  
user locadm and become root via sudo.

The cleanbug script itself is easy to handle:

  # /usr/lib/debbugs/cleanbug <bugno>

Once you triggered the script, you have to look at bug posts on the  
selected bug and say yes and no.

At the end you get asked, if you really want to write back the changes  
to the bug. The answer's question defaults to "no".

You should create some back before manipulating existing bugs. For  
this, create copies of <bugno>.log in /var/lib/debbugs/spool/db-h/

Note for archived bugs: for cleaning up archived bugs, you have to  
unarchive them first.

Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/mailxchange/kronolith/fb.php?u=m.gabriel%40das-netzwerkteam.de
[cleanbug (text/plain, attachment)]
[mbox (text/plain, attachment)]
[Message part 4 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, x2go-project@lists.x2go.org:
Bug#751; Package bugs.x2go.org. (Sat, 20 Feb 2016 15:45:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Baur <X2Go-ML-1@baur-itcs.de>:
Extra info received and forwarded to list. Copy sent to x2go-project@lists.x2go.org. (Sat, 20 Feb 2016 15:45:01 GMT) Full text and rfc822 format available.

Message #15 received at 751@bugs.x2go.org (full text, mbox):

From: Stefan Baur <X2Go-ML-1@baur-itcs.de>
To: x2go-project@lists.x2go.org, 751@bugs.x2go.org
Subject: Re: [X2Go-Project] Bug#751: new DebBugs scripts: mbox / cleanbug
Date: Sat, 20 Feb 2016 16:41:01 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Am 20.02.2016 um 09:51 schrieb Mike Gabriel:
> 
> Hi all,
> 
> last night, I created to new scripts for the debbugs software
> underneath bugs.x2go.org.

Thank you for your effort!
(/me hand out an attaboy certificate)

> Please coordinate in the X2Go core team, who will work on cleaning
> up the X2Go bugtracker. Currently, these people have access:
> 
> 
> Heinz Mihai Mike

I've pinged h1 regarding this, I guess he'd be the best choice ATM,
with Mihai and Mike#1 still being pretty busy with real life things,
from what I've heard.

- -Stefan

- -- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQEcBAEBCAAGBQJWyIkNAAoJEG7d9BjNvlEZ8/4H/2GnHpTI1Rprw8NGMQlW+q/s
LcNuUdYoNaY35UrcZPmhvC7MofU3oYrRLmuwzBdB6e2Rj10YwK0SvzqJJko48YjS
1VpF7zu0tGNwd6FB0s7uhSLSxF7qrNObDu0NihtKO2St93GXIw9/2wwtcAN5kW9s
DpD4JZ2Zaxeo8hL7NT1GMpdUMEWD4BS5SzYJa+q5nJ0S/7ab5Dv6+ccAxhiJbBvO
hVOFt/O7EgRiQhs+sMliRYQr5VB5G++1J2gFh+RxAi60Lt2QRmjS8tSWxAos1dqz
cs1NV2Y1WyNKMPiBr19Dk+udP05K2VfXeWMwfPzScrrVeXIwjNjtNjOzStM1YYQ=
=2S9r
-----END PGP SIGNATURE-----


Information forwarded to x2go-dev@lists.x2go.org, x2go-project@lists.x2go.org:
Bug#751; Package bugs.x2go.org. (Sat, 20 Feb 2016 15:50:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Baur <X2Go-ML-1@baur-itcs.de>:
Extra info received and forwarded to list. Copy sent to x2go-project@lists.x2go.org. (Sat, 20 Feb 2016 15:50:02 GMT) Full text and rfc822 format available.

Message #20 received at 751@bugs.x2go.org (full text, mbox):

From: Stefan Baur <X2Go-ML-1@baur-itcs.de>
To: x2go-project@lists.x2go.org, 751@bugs.x2go.org
Subject: Re: [X2Go-Project] Bug#751: new DebBugs scripts: mbox / cleanbug
Date: Sat, 20 Feb 2016 16:45:47 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Am 20.02.2016 um 16:41 schrieb Stefan Baur:

> Thank you for your effort! (/me hand out an attaboy certificate)

s/hand/hands/


> I've pinged h1 regarding this, I guess he'd be the best choice
> ATM, with Mihai and Mike#1 still being pretty busy with real life
> things, from what I've heard.

s/Mike#1/Mike#2/
(though it probably applies to Mike#1 as well, else he wouldn't have
posted this)

Sorry, ENOTENOUGHCAFFEINE and distracted.

- -Stefan

- -- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQEcBAEBCAAGBQJWyIorAAoJEG7d9BjNvlEZ2RMH/3Wow9EDInO3h7u+AkFv9w3L
q/BFvpdUENx7iswPDNXpqdMR0wGM+NDs2qKXKBcqCWAvZeQAlzhfWk0fEgBdkcIw
yF07GkZa/z2aC62kjOwCEaMNXZ+VmLNakU64BfrfIqmecJlERcuObrvPvK4ItDoj
51tp11fKi+umXVyee748zkjrYC31gh9F/I+iKbh5LK2zvbeU6So/iieisWnQPqbY
unSMHMXTQdqoiTaew8Iwgj2FN+OKnfxyY8gkzmC4d8bXhBUNegGyYJpHYp5spouL
JNuVz46TCizW+pMHWUtq7mpUhtjGJGR19oR1nH5kab/RPm2ypMrv9l6UwBt65HQ=
=Flk8
-----END PGP SIGNATURE-----


Information forwarded to x2go-dev@lists.x2go.org, x2go-project@lists.x2go.org:
Bug#751; Package bugs.x2go.org. (Sat, 20 Feb 2016 20:00:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to x2go-project@lists.x2go.org. (Sat, 20 Feb 2016 20:00:02 GMT) Full text and rfc822 format available.

Message #25 received at 751@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Stefan Baur <X2Go-ML-1@baur-itcs.de>, 751@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#751: [X2Go-Project] Bug#751: new DebBugs scripts: mbox / cleanbug
Date: Sat, 20 Feb 2016 19:57:56 +0000
[Message part 1 (text/plain, inline)]
Hi Stefan,
(dropping x2go-project list from Cc: as BTS posts to it anyway for  
message arriving at #751)

On  Sa 20 Feb 2016 16:45:47 CET, Stefan Baur wrote:

> Am 20.02.2016 um 16:41 schrieb Stefan Baur:
>
>> Thank you for your effort! (/me hand out an attaboy certificate)
>
> s/hand/hands/
>
>
>> I've pinged h1 regarding this, I guess he'd be the best choice
>> ATM, with Mihai and Mike#1 still being pretty busy with real life
>> things, from what I've heard.
>
> s/Mike#1/Mike#2/
> (though it probably applies to Mike#1 as well, else he wouldn't have
> posted this)
>
> Sorry, ENOTENOUGHCAFFEINE and distracted.

I am currently going through open/closed bugs of nx-libs. While doing  
that, I am transferring all relevant bugs to the Github issue tracker  
of nx-libs [1].

I will see if I can handle bug reports against python-x2go, pyhoca-*  
and x2gobroker.

The rest is on you guys.

@Stefan: if you send me a public key, I can give you access to  
debbugs@bugs.x2go.org and you can happily clean up spam/viruses from  
BTS. The more we / you share the workload the better.

Also, please agree on someone who takes care of future spamming of bugs.

Please note that the BTS now has a dual antivirus software protection  
(Sophos AV + ClamAV). Also the SpamAssassin daemon has been configured  
to be more strict and drop all mails with X-Spam-Index >= 2.0.

Greets,
Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/mailxchange/kronolith/fb.php?u=m.gabriel%40das-netzwerkteam.de
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, x2go-project@lists.x2go.org:
Bug#751; Package bugs.x2go.org. (Wed, 24 Feb 2016 01:50:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to x2go-project@lists.x2go.org. (Wed, 24 Feb 2016 01:50:02 GMT) Full text and rfc822 format available.

Message #30 received at 751@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: 751@bugs.x2go.org
Subject: Re: [X2Go-Project] Bug#751: new DebBugs scripts: mbox / cleanbug
Date: Wed, 24 Feb 2016 02:48:23 +0100
[Message part 1 (text/plain, inline)]
On 20.02.2016 09:51 AM, Mike Gabriel wrote:
> I already did so for the reported URLs:
> 
> http://bugs.x2go.org/128
> http://bugs.x2go.org/232
> http://bugs.x2go.org/496
> http://bugs.x2go.org/765

Further bugs processed:

http://bugs.x2go.org/98 (archived)
http://bugs.x2go.org/11
http://bugs.x2go.org/323
http://bugs.x2go.org/343
http://bugs.x2go.org/711
http://bugs.x2go.org/120
http://bugs.x2go.org/723
http://bugs.x2go.org/227
http://bugs.x2go.org/342
http://bugs.x2go.org/248
http://bugs.x2go.org/252
http://bugs.x2go.org/670
http://bugs.x2go.org/884
http://bugs.x2go.org/99

These were only the "biggest offenders", though (i.e., bugs with a mailbox size
higher than 1 MB.)

A simple grep for 'Interfax' reveals a lot more of affected bug reports...



Mihai

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, x2go-project@lists.x2go.org:
Bug#751; Package bugs.x2go.org. (Wed, 24 Feb 2016 10:10:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to x2go-project@lists.x2go.org. (Wed, 24 Feb 2016 10:10:02 GMT) Full text and rfc822 format available.

Message #35 received at 751@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 751@bugs.x2go.org
Subject: Re: [X2Go-Project] Bug#751: Bug#751: new DebBugs scripts: mbox / cleanbug
Date: Wed, 24 Feb 2016 10:07:43 +0000
[Message part 1 (text/plain, inline)]
Hi all,

On  Mi 24 Feb 2016 02:48:23 CET, Mihai Moldovan wrote:

> On 20.02.2016 09:51 AM, Mike Gabriel wrote:
>> I already did so for the reported URLs:
>>
>> http://bugs.x2go.org/128
>> http://bugs.x2go.org/232
>> http://bugs.x2go.org/496
>> http://bugs.x2go.org/765
>
> Further bugs processed:
>
> http://bugs.x2go.org/98 (archived)
> http://bugs.x2go.org/11
> http://bugs.x2go.org/323
> http://bugs.x2go.org/343
> http://bugs.x2go.org/711
> http://bugs.x2go.org/120
> http://bugs.x2go.org/723
> http://bugs.x2go.org/227
> http://bugs.x2go.org/342
> http://bugs.x2go.org/248
> http://bugs.x2go.org/252
> http://bugs.x2go.org/670
> http://bugs.x2go.org/884
> http://bugs.x2go.org/99
>
> These were only the "biggest offenders", though (i.e., bugs with a  
> mailbox size
> higher than 1 MB.)
>
> A simple grep for 'Interfax' reveals a lot more of affected bug reports...
>
>
>
> Mihai

I just checked all python-x2go bugs:

CLEAN-UP DATE: 20160224
#954 open - clean
#190 open - de-spammed
#809 open - clean
#324 open - clean
#392 open - clean
#648 open - clean
#691 open - clean
#335 closed archived clean
#508 closed archived clean
#167 closed archived clean
#334 closed archived clean
#588 closed archived clean
#130 closed archived clean
#162 closed archived clean
#192 closed archived clean
#194 closed archived clean
#283 closed archived clean
#307 closed archived clean
#329 closed archived clean
#330 closed archived clean
#358 closed archived clean
#497 closed archived clean
#500 closed archived clean
#532 closed archived clean
#537 closed archived clean
#602 closed archived clean
#658 closed archived clean

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/mailxchange/kronolith/fb.php?u=m.gabriel%40das-netzwerkteam.de
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, x2go-project@lists.x2go.org:
Bug#751; Package bugs.x2go.org. (Thu, 25 Feb 2016 17:40:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to x2go-project@lists.x2go.org. (Thu, 25 Feb 2016 17:40:03 GMT) Full text and rfc822 format available.

Message #40 received at 751@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 751@bugs.x2go.org
Subject: Re: [X2Go-Dev] new DebBugs scripts: mbox / cleanbug
Date: Thu, 25 Feb 2016 18:36:45 +0100
[Message part 1 (text/plain, inline)]
Mike

Since you changed debbugs a bit, submitted bug reports do not show up on
x2go-dev anymore (if filed by addresses not also subscribed to x2go-dev), but
instead hit the moderation queue.

Previously, forwarded mails were not bounced by the mailing list. Any idea what
might have changed?



Nihai

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, x2go-project@lists.x2go.org:
Bug#751; Package bugs.x2go.org. (Thu, 25 Feb 2016 18:50:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to x2go-project@lists.x2go.org. (Thu, 25 Feb 2016 18:50:02 GMT) Full text and rfc822 format available.

Message #45 received at 751@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: ionic@ionic.de
Cc: 751@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#751: new DebBugs scripts: mbox / cleanbug
Date: Thu, 25 Feb 2016 18:47:35 +0000
Hi Mihai,

On Thu Feb 25 18:36:45 2016 GMT+0100, Mihai Moldovan wrote:
> Mike
> 
> Since you changed debbugs a bit, submitted bug reports do not show up on
> x2go-dev anymore (if filed by addresses not also subscribed to x2go-dev), but
> instead hit the moderation queue.
> 
> Previously, forwarded mails were not bounced by the mailing list. Any idea what
> might have changed?

Nothing has changed with that except that I do not moderate the x2go-dev list anymore. I always granted non-subscribed bug submitters permanent list access once they had filed their first bug. 
 
Greets,
Mike

-- 
Sent from my Jolla

Information forwarded to x2go-dev@lists.x2go.org, x2go-project@lists.x2go.org:
Bug#751; Package bugs.x2go.org. (Thu, 25 Feb 2016 19:15:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to x2go-project@lists.x2go.org. (Thu, 25 Feb 2016 19:15:01 GMT) Full text and rfc822 format available.

Message #50 received at 751@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 751@bugs.x2go.org
Subject: Re: new DebBugs scripts: mbox / cleanbug
Date: Thu, 25 Feb 2016 20:12:25 +0100
[Message part 1 (text/plain, inline)]
On 25.02.2016 07:47 PM, Mike Gabriel wrote:
> Nothing has changed with that except that I do not moderate the x2go-dev list anymore. I always granted non-subscribed bug submitters permanent list access once they had filed their first bug. 

Wait, this wasn't an automated process from the beginning? It probably should be...



Mihai


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, x2go-project@lists.x2go.org:
Bug#751; Package bugs.x2go.org. (Fri, 26 Feb 2016 15:20:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to x2go-project@lists.x2go.org. (Fri, 26 Feb 2016 15:20:02 GMT) Full text and rfc822 format available.

Message #55 received at 751@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Mihai Moldovan <ionic@ionic.de>, 751@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#751: new DebBugs scripts: mbox / cleanbug
Date: Fri, 26 Feb 2016 15:17:24 +0000
[Message part 1 (text/plain, inline)]
Hi,

On  Do 25 Feb 2016 20:12:25 CET, Mihai Moldovan wrote:

> On 25.02.2016 07:47 PM, Mike Gabriel wrote:
>> Nothing has changed with that except that I do not moderate the  
>> x2go-dev list anymore. I always granted non-subscribed bug  
>> submitters permanent list access once they had filed their first bug.
>
> Wait, this wasn't an automated process from the beginning? It  
> probably should be...
>

It never was an automated process and it possibly should be. But you  
don't want to open the complete x2go-dev ML for arbitrary posting...

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/mailxchange/kronolith/fb.php?u=m.gabriel%40das-netzwerkteam.de
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, x2go-project@lists.x2go.org:
Bug#751; Package bugs.x2go.org. (Mon, 29 Feb 2016 04:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to x2go-project@lists.x2go.org. (Mon, 29 Feb 2016 04:30:03 GMT) Full text and rfc822 format available.

Message #60 received at 751@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 751@bugs.x2go.org
Subject: Re: new DebBugs scripts: mbox / cleanbug
Date: Mon, 29 Feb 2016 05:27:45 +0100
[Message part 1 (text/plain, inline)]
On 26.02.2016 04:17 PM, Mike Gabriel wrote:
> It never was an automated process and it possibly should be. But you  
> don't want to open the complete x2go-dev ML for arbitrary posting...

I think I do - partly. I'll have to check if mailman can pass-through messages
based on specific headers. If it does, "whitelisting" "Resent-Sender:
owner@bugs.x2go.org" sounds like a good automation point. I don't expect
spammers to send this header. :)



Mihai


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, x2go-project@lists.x2go.org:
Bug#751; Package bugs.x2go.org. (Mon, 29 Feb 2016 05:10:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to x2go-project@lists.x2go.org. (Mon, 29 Feb 2016 05:10:01 GMT) Full text and rfc822 format available.

Message #65 received at 751@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Mihai Moldovan <ionic@ionic.de>, 751@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#751: new DebBugs scripts: mbox / cleanbug
Date: Mon, 29 Feb 2016 05:06:20 +0000
[Message part 1 (text/plain, inline)]
On  Mo 29 Feb 2016 05:27:45 CET, Mihai Moldovan wrote:

> On 26.02.2016 04:17 PM, Mike Gabriel wrote:
>> It never was an automated process and it possibly should be. But you
>> don't want to open the complete x2go-dev ML for arbitrary posting...
>
> I think I do - partly. I'll have to check if mailman can  
> pass-through messages
> based on specific headers. If it does, "whitelisting" "Resent-Sender:

It can do white-listing.

> owner@bugs.x2go.org" sounds like a good automation point. I don't expect
> spammers to send this header. :)

Yeah. Makes sense.

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/mailxchange/kronolith/fb.php?u=m.gabriel%40das-netzwerkteam.de
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, x2go-project@lists.x2go.org:
Bug#751; Package bugs.x2go.org. (Mon, 29 Feb 2016 09:50:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to 751@bugs.x2go.org:
Extra info received and forwarded to list. Copy sent to x2go-project@lists.x2go.org. (Mon, 29 Feb 2016 09:50:02 GMT) Full text and rfc822 format available.

Message #70 received at 751@bugs.x2go.org (full text, mbox):

From: Stefan Baur <X2Go-ML-1@baur-itcs.de>
To: x2go-project@lists.x2go.org, 751@bugs.x2go.org
Subject: Re: [X2Go-Project] Bug#751: [X2Go-Dev] Bug#751: new DebBugs scripts: mbox / cleanbug
Date: Mon, 29 Feb 2016 10:35:30 +0100
[Message part 1 (text/plain, inline)]
Am 29.02.2016 um 06:06 schrieb Mike Gabriel:
> On  Mo 29 Feb 2016 05:27:45 CET, Mihai Moldovan wrote:
> 
>> On 26.02.2016 04:17 PM, Mike Gabriel wrote:
>>> It never was an automated process and it possibly should be. But you
>>> don't want to open the complete x2go-dev ML for arbitrary posting...
>>
>> I think I do - partly. I'll have to check if mailman can pass-through
>> messages
>> based on specific headers. If it does, "whitelisting" "Resent-Sender:
> 
> It can do white-listing.
> 
>> owner@bugs.x2go.org" sounds like a good automation point. I don't expect
>> spammers to send this header. :)
> 
> Yeah. Makes sense.

I would like to veto this, unless I'm misunderstanding something here.

FYI: The current situation is that I'm whitelisting all first-time
submitters manually, along with a GPG signed "ping" message telling them
to please subscribe to the list.

While most of the spam indeed goes to x2go-*, there are spam messages
targeted at <bugnumber>@bugs.x2go.org.
These clog our BTS, and, if I'm understanding your suggestion correctly,
would also hit x2go-dev - along with any malware attachments they may
have, as those messages get auto-forwarded from
<bugnumber>@bugs.x2go.org to x2go-dev.

So, automatic whitelisting, while it would be a huge time-saver for me,
is out of the question, for sanity, safety and security reasons.

If I misunderstood your suggestion, please point out my errors to me.

-Stefan

-- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, x2go-project@lists.x2go.org:
Bug#751; Package bugs.x2go.org. (Wed, 10 Aug 2016 05:55:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>, 751@bugs.x2go.org:
Extra info received and forwarded to list. Copy sent to x2go-project@lists.x2go.org. (Wed, 10 Aug 2016 05:55:01 GMT) Full text and rfc822 format available.

Message #75 received at 751@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: 751@bugs.x2go.org
Subject: Re: [X2Go-Dev] new DebBugs scripts: mbox / cleanbug
Date: Wed, 10 Aug 2016 07:50:16 +0200
[Message part 1 (text/plain, inline)]
Further bugs processed:

http://bugs.x2go.org/914
http://bugs.x2go.org/28
http://bugs.x2go.org/465
http://bugs.x2go.org/109
http://bugs.x2go.org/503
http://bugs.x2go.org/688
http://bugs.x2go.org/373
http://bugs.x2go.org/480
http://bugs.x2go.org/667
http://bugs.x2go.org/369
http://bugs.x2go.org/775
http://bugs.x2go.org/483
http://bugs.x2go.org/837
http://bugs.x2go.org/343
http://bugs.x2go.org/120
http://bugs.x2go.org/711
http://bugs.x2go.org/323
http://bugs.x2go.org/31

[signature.asc (application/pgp-signature, attachment)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Dec 14 05:18:23 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.